Bug 583058 - Review Request: grantlee - Qt string template engine based on the Django template system
Summary: Review Request: grantlee - Qt string template engine based on the Django tem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-16 14:53 UTC by Thomas Janssen
Modified: 2010-06-04 18:56 UTC (History)
4 users (show)

Fixed In Version: grantlee-0.1.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-04 18:48:26 UTC
jreznik: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)
Adds apidocs (2.40 KB, patch)
2010-05-11 13:25 UTC, Jaroslav Reznik
no flags Details | Diff

Description Thomas Janssen 2010-04-16 14:53:19 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/grantlee.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/grantlee-0.1.0-1.fc12.src.rpm
Description: 
Grantlee is a plug-in based String Template system written 
using the Qt framework. The goals of the project are to make it easier for
application developers to separate the structure of documents from the 
data they contain, opening the door for themeing.

The syntax is intended to follow the syntax of the Django template system, 
and the design of Django is reused in Grantlee. 
Django is covered by a BSD style license.

Part of the design of both is that application developers can extend 
the syntax by implementing their own tags and filters. For details of 
how to do that, see the API documentation.

For template authors, different applications using Grantlee will present 
the same interface and core syntax for creating new themes. For details of 
how to write templates, see the documentation.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2118862

[thomas@tusdell SPECS]$ rpmlint grantlee.spec ../SRPMS/grantlee-0.1.0-1.fc12.src.rpm ../RPMS/x86_64/grantlee-*
grantlee.src: W: spelling-error %description -l en_US themeing -> theme, thematic, therein
grantlee.src: W: spelling-error %description -l en_US Django -> Fandango, Quango, Bangor
grantlee.x86_64: W: spelling-error %description -l en_US themeing -> theme, thematic, therein
grantlee.x86_64: W: spelling-error %description -l en_US Django -> Fandango, Quango, Bangor
grantlee-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 5 warnings.

Comment 1 Jaroslav Reznik 2010-04-19 12:15:21 UTC
Rpmlint: ok (spelling warnings)
Package and SPEC name: ok
License: ok
Upstream source code: ok (3ec14214f30cc86d10c3cab2d062ff3e  grantlee-v0.1.0.tar.gz)
Package builds: ok, see scratch build + tested locally
ldconfig: ok
BuildRequires: ok
Devel split: ok
No libtools archives: ok

Group should be "System Environment/Libraries".
I see doxygen and documentation commented out - what's the problem there? I think it should be shipped together.

Comment 2 Thomas Janssen 2010-05-09 18:29:37 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/grantlee.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/grantlee-0.1.1-1.fc12.src.rpm

- fixed Group
- grantlee-0.1.1

You said in IRC you wanted to test the doxygen part out, some progress?

Rpmlint are still some strange spelling warnings, else clean.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2175805

Comment 3 Jaroslav Reznik 2010-05-11 10:46:36 UTC
Looking on it right now.

For spelling error s/themeing/theming.

Comment 4 Jaroslav Reznik 2010-05-11 13:25:38 UTC
Created attachment 413136 [details]
Adds apidocs

I'm not sure this patch is correct - location for apidocs?

Comment 5 Jaroslav Reznik 2010-05-11 15:28:23 UTC
Correct location for apidocs has been discussed on KDE SIG meeting, decision postponed to next meeting.

Comment 6 Chen Lei 2010-05-13 10:22:55 UTC
%{_docdir}/HTML/en/grantlee-apidocs still seems a bit strange, maybe %{_docdir}/HTML/grantlee-apidocs/en is more appropriate if we consider the fedora-release-notes package.

ls /usr/share/doc/HTML/fedora-release-notes/

 cs-CZ  es-ES  index.html  nl-NL  pt-PT  uk-UA
 en-US  fr-FR  it-IT       pl-PL  sv-SE  zh-CN

The installation path and subpackage name for html documentation is really a mess in fedora and need further consideration.

The guideline only has one line about this - if there's a lot of documentation, consider putting it into a subpackage.

http://fedoraproject.org/wiki/PackagingGuidelines#Documentation

Actually, we now have several subpackage name for html documention.
E.g
-doc
-docs
-devel-doc
-devel-docs
-apidocs
-manual


We also have several installation path for those html files(normally built by docbook or doxygen).

%{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-[subpackagename]-%{version}
%{_docdir}/%{name}
%{_docdir}/HTML/%{name}
%{_docdir}/HTML/[locale]/%{name}
%{_datadir}/gtk-doc/html/%{name}

In java package guideline,we have
%{_datadir}/javadoc/%{name}-%{version} for -javadoc subpackage
%{_docdir}/%{name}-[subpackagename]-%{version} for -manual subpackage


I think add a fixed installation path for html apidocs or enduser manuals like man or info will benefit all of us a lot .

Comment 7 Jaroslav Reznik 2010-05-18 15:12:10 UTC
For KDE libraries we agreed on /usr/share/doc/HTML/en/%{name}-apidocs as kdelibs and kdepimlibs already uses this location and these two are most important for us.

Comment 8 Jaroslav Reznik 2010-05-18 15:21:15 UTC
(In reply to comment #6)
> %{_docdir}/HTML/en/grantlee-apidocs still seems a bit strange, maybe
> %{_docdir}/HTML/grantlee-apidocs/en is more appropriate if we consider the
> fedora-release-notes package.
> 
> ls /usr/share/doc/HTML/fedora-release-notes/
> 
>  cs-CZ  es-ES  index.html  nl-NL  pt-PT  uk-UA
>  en-US  fr-FR  it-IT       pl-PL  sv-SE  zh-CN
> 
> The installation path and subpackage name for html documentation is really a
> mess in fedora and need further consideration.
> 
> The guideline only has one line about this - if there's a lot of documentation,
> consider putting it into a subpackage.
> 
> http://fedoraproject.org/wiki/PackagingGuidelines#Documentation
> 
> Actually, we now have several subpackage name for html documention.
> E.g
> -doc
> -docs
> -devel-doc
> -devel-docs
> -apidocs
> -manual
> 
> 
> We also have several installation path for those html files(normally built by
> docbook or doxygen).
> 
> %{_docdir}/%{name}-%{version}
> %{_docdir}/%{name}-[subpackagename]-%{version}
> %{_docdir}/%{name}
> %{_docdir}/HTML/%{name}
> %{_docdir}/HTML/[locale]/%{name}
> %{_datadir}/gtk-doc/html/%{name}
> 
> In java package guideline,we have
> %{_datadir}/javadoc/%{name}-%{version} for -javadoc subpackage
> %{_docdir}/%{name}-[subpackagename]-%{version} for -manual subpackage
> 
> 
> I think add a fixed installation path for html apidocs or enduser manuals like
> man or info will benefit all of us a lot .    

Indeed it's a mess, so we are trying to fix it at least on our KDE side. But sistribution wide solution would be really very nice.

Comment 9 Chen Lei 2010-05-18 15:28:43 UTC
(In reply to comment #7)
> For KDE libraries we agreed on /usr/share/doc/HTML/en/%{name}-apidocs as
> kdelibs and kdepimlibs already uses this location and these two are most
> important for us.    


Can KDE-SIG talk with fedora-release-notes group?

I installed F13 KDE spin, and found a bit inconsistence of using /usr/share/doc/HTML between kde-filesystem and fedora-release-notes, both packages are the default components of KDE spin. 

As I said before, fedora-release-notes installs their files to /usr/share/doc/HTML/fedora-release-notes/, it contains an index.html and some diretories with different locale names, which conflicts with the using of /usr/share/doc/HTML in kde-filesystem.

Note:

Currently, in fedora repo kde-filesystem and fedora-release-notes own /usr/share/doc/HTML.

/usr/share/doc/HTML/en/%{name}-apidocs is the search PATH of kdedevelop.

Comment 10 Jaroslav Reznik 2010-05-18 15:44:14 UTC
(In reply to comment #9)
> (In reply to comment #7)
> > For KDE libraries we agreed on /usr/share/doc/HTML/en/%{name}-apidocs as
> > kdelibs and kdepimlibs already uses this location and these two are most
> > important for us.    
> 
> 
> Can KDE-SIG talk with fedora-release-notes group?
> 
> I installed F13 KDE spin, and found a bit inconsistence of using
> /usr/share/doc/HTML between kde-filesystem and fedora-release-notes, both
> packages are the default components of KDE spin. 
> 
> As I said before, fedora-release-notes installs their files to
> /usr/share/doc/HTML/fedora-release-notes/, it contains an index.html and some
> diretories with different locale names, which conflicts with the using of
> /usr/share/doc/HTML in kde-filesystem.
> 
> Note:
> 
> Currently, in fedora repo kde-filesystem and fedora-release-notes own
> /usr/share/doc/HTML.
> 
> /usr/share/doc/HTML/en/%{name}-apidocs is the search PATH of kdedevelop.    

It's default KDE upstream installation schema...

Comment 11 Jaroslav Reznik 2010-05-18 15:46:24 UTC
Thomas, seems like we still don't have proper solution for apidocs - but we need Grantlee. I'm not going to block this review more - for now, not shipping apidocs would be best solution (just set apidocs to 0) and add comment somewhere in SPEC file.

APPROVED

Comment 12 Thomas Janssen 2010-05-18 19:33:32 UTC
Disabled apidocs until we agree on a standard path.

Spec URL: http://thomasj.fedorapeople.org/reviews/grantlee.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/grantlee-0.1.0-3.fc12.src.rpm

Thanks for the review Jaroslav.

Comment 13 Thomas Janssen 2010-05-18 19:36:23 UTC
New Package CVS Request
=======================
Package Name: grantlee
Short Description: Qt string template engine based on the Django template system
Owners: thomasj
Branches: F-12 F-13
InitialCC: than

Comment 14 Dennis Gilmore 2010-05-18 20:47:10 UTC
CVS Done

Comment 15 Fedora Update System 2010-05-19 10:51:35 UTC
grantlee-0.1.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/grantlee-0.1.1-3.fc13

Comment 16 Fedora Update System 2010-05-19 10:51:41 UTC
grantlee-0.1.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/grantlee-0.1.1-3.fc12

Comment 17 Fedora Update System 2010-05-19 19:11:21 UTC
grantlee-0.1.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update grantlee'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/grantlee-0.1.1-3.fc13

Comment 18 Fedora Update System 2010-05-19 19:20:13 UTC
grantlee-0.1.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update grantlee'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/grantlee-0.1.1-3.fc12

Comment 19 Fedora Update System 2010-06-04 18:48:21 UTC
grantlee-0.1.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-06-04 18:55:59 UTC
grantlee-0.1.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.